com.amazonaws.services.elastictranscoder.model

## Class PresetWatermark

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.PresetWatermark

All Implemented Interfaces:
  Serializable, Cloneable

    public class PresetWatermark
    extends Object
    implements Serializable, Cloneable

Settings for the size, location, and opacity of graphics that you want Elastic Transcoder to overlay over videos that are transcoded using this preset. You can specify settings for up to four watermarks. Watermarks appear in the specified size and location, and with the specified opacity for the duration of the transcoded video.

Watermarks can be in .png or .jpg format. If you want to display a watermark that is not rectangular, use the .png format, which supports transparency.

When you create a job that uses this preset, you specify the .png or .jpg graphics that you want Elastic Transcoder to include in the transcoded videos. You can specify fewer graphics in the job than you specify watermark settings in the preset, which allows you to use the same preset for up to four watermarks that have different dimensions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PresetWatermark()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PresetWatermark` `clone()`
`boolean` `equals(Object obj)`
`String` `getHorizontalAlign()` The horizontal position of the watermark unless you specify a non-zero value for `HorizontalOffset`:
`String` `getHorizontalOffset()` The amount by which you want the horizontal position of the watermark to be offset from the position specified by HorizontalAlign:
`String` `getId()` A unique identifier for the settings for one watermark.
`String` `getMaxHeight()` The maximum height of the watermark in one of the following formats:
`String` `getMaxWidth()` The maximum width of the watermark in one of the following formats:
`String` `getOpacity()` A percentage that indicates how much you want a watermark to obscure the video in the location where it appears.
`String` `getSizingPolicy()` A value that controls scaling of the watermark:
`String` `getTarget()` A value that determines how Elastic Transcoder interprets values that you specified for `HorizontalOffset`, `VerticalOffset`, `MaxWidth`, and `MaxHeight`:
`String` `getVerticalAlign()` The vertical position of the watermark unless you specify a non-zero value for `VerticalOffset`:
`String` `getVerticalOffset()` `VerticalOffset`
`int` `hashCode()`
`void` `setHorizontalAlign(String horizontalAlign)` The horizontal position of the watermark unless you specify a non-zero value for `HorizontalOffset`:
`void` `setHorizontalOffset(String horizontalOffset)` The amount by which you want the horizontal position of the watermark to be offset from the position specified by HorizontalAlign:
`void` `setId(String id)` A unique identifier for the settings for one watermark.
`void` `setMaxHeight(String maxHeight)` The maximum height of the watermark in one of the following formats:
`void` `setMaxWidth(String maxWidth)` The maximum width of the watermark in one of the following formats:
`void` `setOpacity(String opacity)` A percentage that indicates how much you want a watermark to obscure the video in the location where it appears.
`void` `setSizingPolicy(String sizingPolicy)` A value that controls scaling of the watermark:
`void` `setTarget(String target)` A value that determines how Elastic Transcoder interprets values that you specified for `HorizontalOffset`, `VerticalOffset`, `MaxWidth`, and `MaxHeight`:
`void` `setVerticalAlign(String verticalAlign)` The vertical position of the watermark unless you specify a non-zero value for `VerticalOffset`:
`void` `setVerticalOffset(String verticalOffset)` `VerticalOffset`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`PresetWatermark` `withHorizontalAlign(String horizontalAlign)` The horizontal position of the watermark unless you specify a non-zero value for `HorizontalOffset`:
`PresetWatermark` `withHorizontalOffset(String horizontalOffset)` The amount by which you want the horizontal position of the watermark to be offset from the position specified by HorizontalAlign:
`PresetWatermark` `withId(String id)` A unique identifier for the settings for one watermark.
`PresetWatermark` `withMaxHeight(String maxHeight)` The maximum height of the watermark in one of the following formats:
`PresetWatermark` `withMaxWidth(String maxWidth)` The maximum width of the watermark in one of the following formats:
`PresetWatermark` `withOpacity(String opacity)` A percentage that indicates how much you want a watermark to obscure the video in the location where it appears.
`PresetWatermark` `withSizingPolicy(String sizingPolicy)` A value that controls scaling of the watermark:
`PresetWatermark` `withTarget(String target)` A value that determines how Elastic Transcoder interprets values that you specified for `HorizontalOffset`, `VerticalOffset`, `MaxWidth`, and `MaxHeight`:
`PresetWatermark` `withVerticalAlign(String verticalAlign)` The vertical position of the watermark unless you specify a non-zero value for `VerticalOffset`:
`PresetWatermark` `withVerticalOffset(String verticalOffset)` `VerticalOffset`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PresetWatermark

    public PresetWatermark()

### Method Detail

#### setId

    public void setId(String id)

A unique identifier for the settings for one watermark. The value of `Id` can be up to 40 characters long.

Parameters:
  `id` - A unique identifier for the settings for one watermark. The value of `Id` can be up to 40 characters long.

#### getId

    public String getId()

A unique identifier for the settings for one watermark. The value of `Id` can be up to 40 characters long.

Returns:
  A unique identifier for the settings for one watermark. The value of `Id` can be up to 40 characters long.

#### withId

    public PresetWatermark withId(String id)

A unique identifier for the settings for one watermark. The value of `Id` can be up to 40 characters long.

Parameters:
  `id` - A unique identifier for the settings for one watermark. The value of `Id` can be up to 40 characters long.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxWidth

    public void setMaxWidth(String maxWidth)

The maximum width of the watermark in one of the following formats:

- number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxWidth`.

- integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

  If you specify the value in pixels, it must be less than or equal to the value of `MaxWidth`.

Parameters:
  `maxWidth` - The maximum width of the watermark in one of the following formats:

  - number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxWidth`.

  - integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

    If you specify the value in pixels, it must be less than or equal to the value of `MaxWidth`.

#### getMaxWidth

    public String getMaxWidth()

The maximum width of the watermark in one of the following formats:

- number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxWidth`.

- integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

  If you specify the value in pixels, it must be less than or equal to the value of `MaxWidth`.

Returns:
  The maximum width of the watermark in one of the following formats:

  - number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxWidth`.

  - integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

    If you specify the value in pixels, it must be less than or equal to the value of `MaxWidth`.

#### withMaxWidth

    public PresetWatermark withMaxWidth(String maxWidth)

The maximum width of the watermark in one of the following formats:

- number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxWidth`.

- integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

  If you specify the value in pixels, it must be less than or equal to the value of `MaxWidth`.

Parameters:
  `maxWidth` - The maximum width of the watermark in one of the following formats:

  - number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxWidth`.

  - integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

    If you specify the value in pixels, it must be less than or equal to the value of `MaxWidth`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxHeight

    public void setMaxHeight(String maxHeight)

The maximum height of the watermark in one of the following formats:

- number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxHeight`.

- integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

If you specify the value in pixels, it must be less than or equal to the value of `MaxHeight`.

Parameters:
  `maxHeight` - The maximum height of the watermark in one of the following formats:

  - number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxHeight`.

  - integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

  If you specify the value in pixels, it must be less than or equal to the value of `MaxHeight`.

#### getMaxHeight

    public String getMaxHeight()

The maximum height of the watermark in one of the following formats:

- number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxHeight`.

- integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

If you specify the value in pixels, it must be less than or equal to the value of `MaxHeight`.

Returns:
  The maximum height of the watermark in one of the following formats:

  - number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxHeight`.

  - integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

  If you specify the value in pixels, it must be less than or equal to the value of `MaxHeight`.

#### withMaxHeight

    public PresetWatermark withMaxHeight(String maxHeight)

The maximum height of the watermark in one of the following formats:

- number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxHeight`.

- integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

If you specify the value in pixels, it must be less than or equal to the value of `MaxHeight`.

Parameters:
  `maxHeight` - The maximum height of the watermark in one of the following formats:

  - number of pixels (px): The minimum value is 16 pixels, and the maximum value is the value of `MaxHeight`.

  - integer percentage (%): The range of valid values is 0 to 100. Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the calculation.

  If you specify the value in pixels, it must be less than or equal to the value of `MaxHeight`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSizingPolicy

    public void setSizingPolicy(String sizingPolicy)

A value that controls scaling of the watermark:

- Fit: Elastic Transcoder scales the watermark so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

- Stretch: Elastic Transcoder stretches the watermark to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the watermark and the values of `MaxWidth` and `MaxHeight` are different, the watermark will be distorted.

- ShrinkToFit: Elastic Transcoder scales the watermark down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the watermark up.

Parameters:
  `sizingPolicy` - A value that controls scaling of the watermark:

  - Fit: Elastic Transcoder scales the watermark so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

  - Stretch: Elastic Transcoder stretches the watermark to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the watermark and the values of `MaxWidth` and `MaxHeight` are different, the watermark will be distorted.

  - ShrinkToFit: Elastic Transcoder scales the watermark down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the watermark up.

#### getSizingPolicy

    public String getSizingPolicy()

A value that controls scaling of the watermark:

- Fit: Elastic Transcoder scales the watermark so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

- Stretch: Elastic Transcoder stretches the watermark to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the watermark and the values of `MaxWidth` and `MaxHeight` are different, the watermark will be distorted.

- ShrinkToFit: Elastic Transcoder scales the watermark down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the watermark up.

Returns:
  A value that controls scaling of the watermark:

  - Fit: Elastic Transcoder scales the watermark so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

  - Stretch: Elastic Transcoder stretches the watermark to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the watermark and the values of `MaxWidth` and `MaxHeight` are different, the watermark will be distorted.

  - ShrinkToFit: Elastic Transcoder scales the watermark down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the watermark up.

#### withSizingPolicy

    public PresetWatermark withSizingPolicy(String sizingPolicy)

A value that controls scaling of the watermark:

- Fit: Elastic Transcoder scales the watermark so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

- Stretch: Elastic Transcoder stretches the watermark to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the watermark and the values of `MaxWidth` and `MaxHeight` are different, the watermark will be distorted.

- ShrinkToFit: Elastic Transcoder scales the watermark down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the watermark up.

Parameters:
  `sizingPolicy` - A value that controls scaling of the watermark:

  - Fit: Elastic Transcoder scales the watermark so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

  - Stretch: Elastic Transcoder stretches the watermark to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the watermark and the values of `MaxWidth` and `MaxHeight` are different, the watermark will be distorted.

  - ShrinkToFit: Elastic Transcoder scales the watermark down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the watermark up.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHorizontalAlign

    public void setHorizontalAlign(String horizontalAlign)

The horizontal position of the watermark unless you specify a non-zero value for `HorizontalOffset`:

- Left: The left edge of the watermark is aligned with the left border of the video.

- Right: The right edge of the watermark is aligned with the right border of the video.

- Center: The watermark is centered between the left and right borders.

Parameters:
  `horizontalAlign` - The horizontal position of the watermark unless you specify a non-zero value for `HorizontalOffset`:

  - Left: The left edge of the watermark is aligned with the left border of the video.

  - Right: The right edge of the watermark is aligned with the right border of the video.

  - Center: The watermark is centered between the left and right borders.

#### getHorizontalAlign

    public String getHorizontalAlign()

The horizontal position of the watermark unless you specify a non-zero value for `HorizontalOffset`:

- Left: The left edge of the watermark is aligned with the left border of the video.

- Right: The right edge of the watermark is aligned with the right border of the video.

- Center: The watermark is centered between the left and right borders.

Returns:
  The horizontal position of the watermark unless you specify a non-zero value for `HorizontalOffset`:

  - Left: The left edge of the watermark is aligned with the left border of the video.

  - Right: The right edge of the watermark is aligned with the right border of the video.

  - Center: The watermark is centered between the left and right borders.

#### withHorizontalAlign

    public PresetWatermark withHorizontalAlign(String horizontalAlign)

The horizontal position of the watermark unless you specify a non-zero value for `HorizontalOffset`:

- Left: The left edge of the watermark is aligned with the left border of the video.

- Right: The right edge of the watermark is aligned with the right border of the video.

- Center: The watermark is centered between the left and right borders.

Parameters:
  `horizontalAlign` - The horizontal position of the watermark unless you specify a non-zero value for `HorizontalOffset`:

  - Left: The left edge of the watermark is aligned with the left border of the video.

  - Right: The right edge of the watermark is aligned with the right border of the video.

  - Center: The watermark is centered between the left and right borders.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHorizontalOffset

    public void setHorizontalOffset(String horizontalOffset)

The amount by which you want the horizontal position of the watermark to be offset from the position specified by HorizontalAlign:

- number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of MaxWidth.

- integer percentage (%): The range of valid values is 0 to 100.

For example, if you specify Left for `HorizontalAlign` and 5px for `HorizontalOffset`, the left side of the watermark appears 5 pixels from the left border of the output video.

`HorizontalOffset` is only valid when the value of `HorizontalAlign` is `Left` or `Right`. If you specify an offset that causes the watermark to extend beyond the left or right border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

Use the value of `Target` to specify whether you want to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

Parameters:
  `horizontalOffset` - The amount by which you want the horizontal position of the watermark to be offset from the position specified by HorizontalAlign:

  - number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of MaxWidth.

  - integer percentage (%): The range of valid values is 0 to 100.

  For example, if you specify Left for `HorizontalAlign` and 5px for `HorizontalOffset`, the left side of the watermark appears 5 pixels from the left border of the output video.

  `HorizontalOffset` is only valid when the value of `HorizontalAlign` is `Left` or `Right`. If you specify an offset that causes the watermark to extend beyond the left or right border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

  Use the value of `Target` to specify whether you want to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

#### getHorizontalOffset

    public String getHorizontalOffset()

The amount by which you want the horizontal position of the watermark to be offset from the position specified by HorizontalAlign:

- number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of MaxWidth.

- integer percentage (%): The range of valid values is 0 to 100.

For example, if you specify Left for `HorizontalAlign` and 5px for `HorizontalOffset`, the left side of the watermark appears 5 pixels from the left border of the output video.

`HorizontalOffset` is only valid when the value of `HorizontalAlign` is `Left` or `Right`. If you specify an offset that causes the watermark to extend beyond the left or right border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

Use the value of `Target` to specify whether you want to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

Returns:
  The amount by which you want the horizontal position of the watermark to be offset from the position specified by HorizontalAlign:

  - number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of MaxWidth.

  - integer percentage (%): The range of valid values is 0 to 100.

  For example, if you specify Left for `HorizontalAlign` and 5px for `HorizontalOffset`, the left side of the watermark appears 5 pixels from the left border of the output video.

  `HorizontalOffset` is only valid when the value of `HorizontalAlign` is `Left` or `Right`. If you specify an offset that causes the watermark to extend beyond the left or right border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

  Use the value of `Target` to specify whether you want to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

#### withHorizontalOffset

    public PresetWatermark withHorizontalOffset(String horizontalOffset)

The amount by which you want the horizontal position of the watermark to be offset from the position specified by HorizontalAlign:

- number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of MaxWidth.

- integer percentage (%): The range of valid values is 0 to 100.

For example, if you specify Left for `HorizontalAlign` and 5px for `HorizontalOffset`, the left side of the watermark appears 5 pixels from the left border of the output video.

`HorizontalOffset` is only valid when the value of `HorizontalAlign` is `Left` or `Right`. If you specify an offset that causes the watermark to extend beyond the left or right border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

Use the value of `Target` to specify whether you want to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

Parameters:
  `horizontalOffset` - The amount by which you want the horizontal position of the watermark to be offset from the position specified by HorizontalAlign:

  - number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of MaxWidth.

  - integer percentage (%): The range of valid values is 0 to 100.

  For example, if you specify Left for `HorizontalAlign` and 5px for `HorizontalOffset`, the left side of the watermark appears 5 pixels from the left border of the output video.

  `HorizontalOffset` is only valid when the value of `HorizontalAlign` is `Left` or `Right`. If you specify an offset that causes the watermark to extend beyond the left or right border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

  Use the value of `Target` to specify whether you want to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVerticalAlign

    public void setVerticalAlign(String verticalAlign)

The vertical position of the watermark unless you specify a non-zero value for `VerticalOffset`:

- Top: The top edge of the watermark is aligned with the top border of the video.

- Bottom: The bottom edge of the watermark is aligned with the bottom border of the video.

- Center: The watermark is centered between the top and bottom borders.

Parameters:
  `verticalAlign` - The vertical position of the watermark unless you specify a non-zero value for `VerticalOffset` :

  - Top: The top edge of the watermark is aligned with the top border of the video.

  - Bottom: The bottom edge of the watermark is aligned with the bottom border of the video.

  - Center: The watermark is centered between the top and bottom borders.

#### getVerticalAlign

    public String getVerticalAlign()

The vertical position of the watermark unless you specify a non-zero value for `VerticalOffset`:

- Top: The top edge of the watermark is aligned with the top border of the video.

- Bottom: The bottom edge of the watermark is aligned with the bottom border of the video.

- Center: The watermark is centered between the top and bottom borders.

Returns:
  The vertical position of the watermark unless you specify a non-zero value for `VerticalOffset`:

  - Top: The top edge of the watermark is aligned with the top border of the video.

  - Bottom: The bottom edge of the watermark is aligned with the bottom border of the video.

  - Center: The watermark is centered between the top and bottom borders.

#### withVerticalAlign

    public PresetWatermark withVerticalAlign(String verticalAlign)

The vertical position of the watermark unless you specify a non-zero value for `VerticalOffset`:

- Top: The top edge of the watermark is aligned with the top border of the video.

- Bottom: The bottom edge of the watermark is aligned with the bottom border of the video.

- Center: The watermark is centered between the top and bottom borders.

Parameters:
  `verticalAlign` - The vertical position of the watermark unless you specify a non-zero value for `VerticalOffset` :

  - Top: The top edge of the watermark is aligned with the top border of the video.

  - Bottom: The bottom edge of the watermark is aligned with the bottom border of the video.

  - Center: The watermark is centered between the top and bottom borders.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVerticalOffset

    public void setVerticalOffset(String verticalOffset)

`VerticalOffset`

The amount by which you want the vertical position of the watermark to be offset from the position specified by VerticalAlign:

- number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of `MaxHeight`.

- integer percentage (%): The range of valid values is 0 to 100.

For example, if you specify `Top` for `VerticalAlign` and `5px` for `VerticalOffset`, the top of the watermark appears 5 pixels from the top border of the output video.

`VerticalOffset` is only valid when the value of VerticalAlign is Top or Bottom.

If you specify an offset that causes the watermark to extend beyond the top or bottom border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

Parameters:
  `verticalOffset` - `VerticalOffset`

  The amount by which you want the vertical position of the watermark to be offset from the position specified by VerticalAlign:

  - number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of `MaxHeight`.

  - integer percentage (%): The range of valid values is 0 to 100.

  For example, if you specify `Top` for `VerticalAlign` and `5px` for `VerticalOffset`, the top of the watermark appears 5 pixels from the top border of the output video.

  `VerticalOffset` is only valid when the value of VerticalAlign is Top or Bottom.

  If you specify an offset that causes the watermark to extend beyond the top or bottom border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

  Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

#### getVerticalOffset

    public String getVerticalOffset()

`VerticalOffset`

The amount by which you want the vertical position of the watermark to be offset from the position specified by VerticalAlign:

- number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of `MaxHeight`.

- integer percentage (%): The range of valid values is 0 to 100.

For example, if you specify `Top` for `VerticalAlign` and `5px` for `VerticalOffset`, the top of the watermark appears 5 pixels from the top border of the output video.

`VerticalOffset` is only valid when the value of VerticalAlign is Top or Bottom.

If you specify an offset that causes the watermark to extend beyond the top or bottom border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

Returns:
  `VerticalOffset`

  The amount by which you want the vertical position of the watermark to be offset from the position specified by VerticalAlign:

  - number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of `MaxHeight`.

  - integer percentage (%): The range of valid values is 0 to 100.

  For example, if you specify `Top` for `VerticalAlign` and `5px` for `VerticalOffset`, the top of the watermark appears 5 pixels from the top border of the output video.

  `VerticalOffset` is only valid when the value of VerticalAlign is Top or Bottom.

  If you specify an offset that causes the watermark to extend beyond the top or bottom border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

  Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

#### withVerticalOffset

    public PresetWatermark withVerticalOffset(String verticalOffset)

`VerticalOffset`

The amount by which you want the vertical position of the watermark to be offset from the position specified by VerticalAlign:

- number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of `MaxHeight`.

- integer percentage (%): The range of valid values is 0 to 100.

For example, if you specify `Top` for `VerticalAlign` and `5px` for `VerticalOffset`, the top of the watermark appears 5 pixels from the top border of the output video.

`VerticalOffset` is only valid when the value of VerticalAlign is Top or Bottom.

If you specify an offset that causes the watermark to extend beyond the top or bottom border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

Parameters:
  `verticalOffset` - `VerticalOffset`

  The amount by which you want the vertical position of the watermark to be offset from the position specified by VerticalAlign:

  - number of pixels (px): The minimum value is 0 pixels, and the maximum value is the value of `MaxHeight`.

  - integer percentage (%): The range of valid values is 0 to 100.

  For example, if you specify `Top` for `VerticalAlign` and `5px` for `VerticalOffset`, the top of the watermark appears 5 pixels from the top border of the output video.

  `VerticalOffset` is only valid when the value of VerticalAlign is Top or Bottom.

  If you specify an offset that causes the watermark to extend beyond the top or bottom border and Elastic Transcoder has not added black bars, the watermark is cropped. If Elastic Transcoder has added black bars, the watermark extends into the black bars. If the watermark extends beyond the black bars, it is cropped.

  Use the value of `Target` to specify whether you want Elastic Transcoder to include the black bars that are added by Elastic Transcoder, if any, in the offset calculation.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOpacity

    public void setOpacity(String opacity)

A percentage that indicates how much you want a watermark to obscure the video in the location where it appears. Valid values are 0 (the watermark is invisible) to 100 (the watermark completely obscures the video in the specified location). The datatype of `Opacity` is float.

Elastic Transcoder supports transparent .png graphics. If you use a transparent .png, the transparent portion of the video appears as if you had specified a value of 0 for `Opacity`. The .jpg file format doesn't support transparency.

Parameters:
  `opacity` - A percentage that indicates how much you want a watermark to obscure the video in the location where it appears. Valid values are 0 (the watermark is invisible) to 100 (the watermark completely obscures the video in the specified location). The datatype of `Opacity` is float.

  Elastic Transcoder supports transparent .png graphics. If you use a transparent .png, the transparent portion of the video appears as if you had specified a value of 0 for `Opacity`. The .jpg file format doesn't support transparency.

#### getOpacity

    public String getOpacity()

A percentage that indicates how much you want a watermark to obscure the video in the location where it appears. Valid values are 0 (the watermark is invisible) to 100 (the watermark completely obscures the video in the specified location). The datatype of `Opacity` is float.

Elastic Transcoder supports transparent .png graphics. If you use a transparent .png, the transparent portion of the video appears as if you had specified a value of 0 for `Opacity`. The .jpg file format doesn't support transparency.

Returns:
  A percentage that indicates how much you want a watermark to obscure the video in the location where it appears. Valid values are 0 (the watermark is invisible) to 100 (the watermark completely obscures the video in the specified location). The datatype of `Opacity` is float.

  Elastic Transcoder supports transparent .png graphics. If you use a transparent .png, the transparent portion of the video appears as if you had specified a value of 0 for `Opacity`. The .jpg file format doesn't support transparency.

#### withOpacity

    public PresetWatermark withOpacity(String opacity)

A percentage that indicates how much you want a watermark to obscure the video in the location where it appears. Valid values are 0 (the watermark is invisible) to 100 (the watermark completely obscures the video in the specified location). The datatype of `Opacity` is float.

Elastic Transcoder supports transparent .png graphics. If you use a transparent .png, the transparent portion of the video appears as if you had specified a value of 0 for `Opacity`. The .jpg file format doesn't support transparency.

Parameters:
  `opacity` - A percentage that indicates how much you want a watermark to obscure the video in the location where it appears. Valid values are 0 (the watermark is invisible) to 100 (the watermark completely obscures the video in the specified location). The datatype of `Opacity` is float.

  Elastic Transcoder supports transparent .png graphics. If you use a transparent .png, the transparent portion of the video appears as if you had specified a value of 0 for `Opacity`. The .jpg file format doesn't support transparency.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTarget

    public void setTarget(String target)

A value that determines how Elastic Transcoder interprets values that you specified for `HorizontalOffset`, `VerticalOffset`, `MaxWidth`, and `MaxHeight`:

- Content: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any.

- Frame: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any.

Parameters:
  `target` - A value that determines how Elastic Transcoder interprets values that you specified for `HorizontalOffset`, `VerticalOffset`, `MaxWidth`, and `MaxHeight`:

  - Content: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any.

  - Frame: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any.

#### getTarget

    public String getTarget()

A value that determines how Elastic Transcoder interprets values that you specified for `HorizontalOffset`, `VerticalOffset`, `MaxWidth`, and `MaxHeight`:

- Content: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any.

- Frame: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any.

Returns:
  A value that determines how Elastic Transcoder interprets values that you specified for `HorizontalOffset`, `VerticalOffset`, `MaxWidth`, and `MaxHeight`:

  - Content: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any.

  - Frame: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any.

#### withTarget

    public PresetWatermark withTarget(String target)

A value that determines how Elastic Transcoder interprets values that you specified for `HorizontalOffset`, `VerticalOffset`, `MaxWidth`, and `MaxHeight`:

- Content: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any.

- Frame: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any.

Parameters:
  `target` - A value that determines how Elastic Transcoder interprets values that you specified for `HorizontalOffset`, `VerticalOffset`, `MaxWidth`, and `MaxHeight`:

  - Content: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video excluding black bars added by Elastic Transcoder, if any.

  - Frame: `HorizontalOffset` and `VerticalOffset` values are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any. In addition, `MaxWidth` and `MaxHeight`, if specified as a percentage, are calculated based on the borders of the video including black bars added by Elastic Transcoder, if any.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public PresetWatermark clone()

Overrides:
  `clone` in class `Object`